import cnrg.itx.datax.*;

import java.net.*;
import java.io.IOException;

public class NullDestination implements Destination
{
	public void write(byte[] data) throws DataException {
	};
	public boolean mute(boolean mode){return true;};
	public void close() {};
   /**
    * Interface to return a collection of properties supported by the device.
    * @exception DataException thrown when the properties in the device are incompatible
    */ 
	public PropertiesCollection getProperties() throws DataException {return null;};

   /**
    * Interface to set the given properties collection into the device. Works under the assumption
    * that the properties collection was generated LOCALLY and is a request for options.
    * @exception DataException thrown when trying to set incompatible properties collections
    */
	public void setProperties(PropertiesCollection pc) throws DataException {};

   /**
    * Interface to set the given properties collection into the device. WOrks under the 
    * assumption that this is the properties collection of the peer.
    */
	public void setPeerProperties(PropertiesCollection pc) throws DataException {};
	/**
	 * @return the Stats object which describes the current state of the object.  
	 */
	public Stats getStatistics() {return null;};	
}
